package com.xhkjedu.suser.mapper.gradeclass;

import com.xhkjedu.suser.model.gradeclass.TSchool;
import com.xhkjedu.suser.vo.system.SchoolVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Map;

@Repository
public interface SchoolMapper {
    //获取学校当前年份
    Integer getYearById(Integer schoolid);

    //获取用户当前年份
    Integer getYearByUserId(Integer userid);

    //获取用户当前年份及区域码
    SchoolVo getSchoolCloudByUserid(@Param("userid")Integer userid);

    //获取用户当前年份和学校id
    Map getYearSchoolidByUserId(Integer userid);

    //获取学校账号数量
    Integer getUserNumById(Integer schoolid);

    //更加用户id获取当前学校id和年份
    TSchool getSchoolInfoByUserid(Integer userid);

    //获取学校基本信息
    TSchool getSchoolInfoById(Integer schoolid);

    //获取用户学校id
    Integer getSchoolidByUserId(Integer userid);
}
